Package: grails.compiler.traits

## [Groovy] Class DomainClassTraitInjector

- grails.compiler.traits.DomainClassTraitInjector

- All Implemented Interfaces and Traits:
    TraitInjector

      class DomainClassTraitInjector
      extends java.lang.Object
      implements TraitInjector

  Authors:
    Jeff Brown
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DomainClassTraitInjector ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String[]` | `getArtefactTypes()`
    `` | `java.lang.Class` | `getTrait()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### DomainClassTraitInjector()

  - ### Method Detail

    - #### @java.lang.Override java.lang.String[] getArtefactTypes()

    - #### java.lang.Class getTrait()